Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice
Class Continuation.StandardContinuation<R,E extends java.lang.Exception>

    java.lang.Object
      rice.Continuation.StandardContinuation<R,E>

All Implemented Interfaces:
  Continuation<R,E>

Enclosing interface:
  Continuation<R,E extends java.lang.Exception>

    public abstract static class Continuation.StandardContinuation<R,E extends java.lang.Exception>

extends java.lang.Object
implements Continuation<R,E>

This class is a Continuation provided for simplicity which passes any errors up to the parent Continuation which it is constructed with. Subclasses should implement the receiveResult() method with the appropriate behavior.

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuation<R,E extends java.lang.Exception>, Continuation.ExternalContinuationRunnable<R,E extends java.lang.Exception>, Continuation.ExternalRunnable, Continuation.ListenerContinuation<R,E extends java.lang.Exception>, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation<R,E extends java.lang.Exception>`

Field Summary
`protected Continuation<R,E>` | `parent` The parent continuation

Constructor Summary
`Continuation.StandardContinuation(Continuation<R,E> continuation)` Constructor which takes in the parent continuation for this continuation.

Method Summary
`void` | `receiveException(E result)` Called when an exception occurred as a result of the previous command.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface rice.Continuation
`receiveResult`

Field Detail

### parent

    protected Continuation<R,E extends java.lang.Exception> parent

  The parent continuation

Constructor Detail

### Continuation.StandardContinuation

    public Continuation.StandardContinuation(Continuation<R,E> continuation)

  Constructor which takes in the parent continuation for this continuation.

  Parameters:
    `continuation` - The parent of this continuation

Method Detail

### receiveException

    public void receiveException(E result)

  Called when an exception occurred as a result of the previous command. Simply calls the parent continuation's receiveResult() method.

  Specified by:
    `receiveException` in interface `Continuation<R,E extends java.lang.Exception>`
  Parameters:
    `result` - The exception which was caused.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.